| Box2D 2.2.1 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes
b2MouseJointDef Struct Reference

`#include <b2MouseJoint.h>`

Inheritance diagram for b2MouseJointDef:

List of all members.

## Public Attributes
b2Vec2 | target
float32 | maxForce
float32 | frequencyHz
| The response speed.
float32 | dampingRatio
| The damping ratio. 0 = no damping, 1 = critical damping.

## Detailed Description

Mouse joint definition. This requires a world target point, tuning parameters, and the time step.

## Member Data Documentation

float32 b2MouseJointDef::maxForce

The maximum constraint force that can be exerted to move the candidate body. Usually you will express as some multiple of the weight (multiplier * mass * gravity).

b2Vec2 b2MouseJointDef::target

The initial world target point. This is assumed to coincide with the body anchor initially.

The documentation for this struct was generated from the following file:

- b2MouseJoint.h

All Classes Files Functions Variables Enumerations Enumerator Defines